Help us improve by taking our short survey: https://www.hdfgroup.org/website-survey/

| HDF5 Last Updated on 2025-11-11 The HDF5 Field Guide

- Main Page
- Getting started
- User Guide
- Reference Manual
- Cookbook
- Technical Notes
- RFCs
- Specifications
- Glossary
- Full-Text Search
- About

Loading...
Searching...
No Matches
Data Fields
H5VL_native_dataset_optional_args_t Union Reference

`#include <src/H5VLnative.h>`

## Data Fields
struct { |
H5D_chunk_iter_op_t op |
void * op_data |
} | chunk_iter |
H5VL_native_dataset_chunk_read_t | chunk_read
H5VL_native_dataset_chunk_write_t | chunk_write
struct { |
H5D_chunk_index_t * idx_type |
} | get_chunk_idx_type |
H5VL_native_dataset_get_chunk_info_by_coord_t | get_chunk_info_by_coord
H5VL_native_dataset_get_chunk_info_by_idx_t | get_chunk_info_by_idx
H5VL_native_dataset_get_chunk_storage_size_t | get_chunk_storage_size
H5VL_native_dataset_get_num_chunks_t | get_num_chunks
struct { |
haddr_t * offset |
} | get_offset |
H5VL_native_dataset_get_vlen_buf_size_t | get_vlen_buf_size

## Field Documentation

## ◆ [struct]

struct { ... } chunk_iter

## ◆ chunk_read

H5VL_native_dataset_chunk_read_t chunk_read

## ◆ chunk_write

H5VL_native_dataset_chunk_write_t chunk_write

## ◆ [struct]

struct { ... } get_chunk_idx_type

## ◆ get_chunk_info_by_coord

H5VL_native_dataset_get_chunk_info_by_coord_t get_chunk_info_by_coord

## ◆ get_chunk_info_by_idx

H5VL_native_dataset_get_chunk_info_by_idx_t get_chunk_info_by_idx

## ◆ get_chunk_storage_size

H5VL_native_dataset_get_chunk_storage_size_t get_chunk_storage_size

## ◆ get_num_chunks

H5VL_native_dataset_get_num_chunks_t get_num_chunks

## ◆ [struct]

struct { ... } get_offset

## ◆ get_vlen_buf_size

H5VL_native_dataset_get_vlen_buf_size_t get_vlen_buf_size

## ◆ idx_type

H5D_chunk_index_t* idx_type

## ◆ offset

haddr_t* offset

## ◆ op

H5D_chunk_iter_op_t op

## ◆ op_data

void* op_data

The documentation for this union was generated from the following file:

- src/H5VLnative.h